<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<settings>
	<category label="128">
		<setting label="30001" type="select" id="vice_c128_model" values="C128 PAL auto|C128 NTSC auto|C128 D PAL auto|C128 D NTSC auto|C128 DCR PAL auto|C128 DCR NTSC auto|C128 PAL|C128 NTSC|C128 D PAL|C128 D NTSC|C128 DCR PAL|C128 DCR NTSC" default="C128 PAL auto"/>
		<setting label="30002" type="select" id="vice_c128_ram_expansion_unit" values="none|128kB|256kB|512kB|1024kB|2048kB|4096kB|8192kB|16384kB" default="none"/>
		<setting label="30003" type="select" id="vice_c128_video_output" values="VICII|VDC" default="VICII"/>
		<setting label="30004" type="select" id="vice_c128_vdc_ram" values="default|64" default="default"/>
		<setting label="30005" type="select" id="vice_c128_go64" values="disabled|enabled" default="disabled"/>
		<setting label="30117" type="select" id="vice_printer" values="disabled|enabled" default="disabled"/>
		<setting label="30006" type="select" id="vice_jiffydos" values="disabled|enabled" default="disabled"/>
		<setting label="30007" type="select" id="vice_read_vicerc" values="enabled|disabled" default="enabled"/>
		<setting label="30008" type="select" id="vice_reset" values="autostart|soft|hard|freeze" default="autostart"/>
		<setting label="30009" type="select" id="vice_autoloadwarp" values="disabled|enabled|mute|disk|disk_mute|tape|tape_mute" default="disabled"/>
		<setting label="30010" type="select" id="vice_warp_boost" values="disabled|enabled" default="disabled"/>
		<setting label="30011" type="select" id="vice_autostart" values="enabled|disabled|warp" default="enabled"/>
		<setting label="30012" type="select" id="vice_drive_true_emulation" values="enabled|disabled" default="enabled"/>
		<setting label="30013" type="select" id="vice_virtual_device_traps" values="disabled|enabled" default="disabled"/>
		<setting label="30118" type="select" id="vice_floppy_multidrive" values="disabled|enabled" default="disabled"/>
		<setting label="30014" type="select" id="vice_floppy_write_protection" values="disabled|enabled" default="disabled"/>
		<setting label="30015" type="select" id="vice_easyflash_write_protection" values="disabled|enabled" default="disabled"/>
		<setting label="30016" type="select" id="vice_work_disk" values="disabled|8_d64|9_d64|8_d71|9_d71|8_d81|9_d81|8_fs|9_fs" default="disabled"/>
		<setting label="30017" type="select" id="vice_cartridge" values="none" default="none"/>
		<setting label="30018" type="select" id="vice_video_options_display" values="disabled|enabled" default="disabled"/>
		<setting label="30019" type="select" id="vice_aspect_ratio" values="auto|pal|ntsc|raw" default="auto"/>
		<setting label="30020" type="select" id="vice_crop" values="disabled|small|medium|maximum|auto|auto_disable|manual" default="disabled"/>
		<setting label="30119" type="select" id="vice_crop_delay" values="enabled|disabled" default="enabled"/>
		<setting label="30022" type="select" id="vice_crop_mode" values="both|horizontal|vertical|16:9|16:10|4:3|5:4" default="both"/>
		<setting label="30024" type="select" id="vice_manual_crop_top" values="0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|21|22|23|24|25|26|27|28|29|30|31|32|33|34|35|36|37|38|39|40|41|42|43|44|45|46|47|48|49|50|51|52|53|54|55|56|57|58|59|60" default="0"/>
		<setting label="30025" type="select" id="vice_manual_crop_bottom" values="0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|21|22|23|24|25|26|27|28|29|30|31|32|33|34|35|36|37|38|39|40|41|42|43|44|45|46|47|48|49|50|51|52|53|54|55|56|57|58|59|60" default="0"/>
		<setting label="30026" type="select" id="vice_manual_crop_left" values="0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|21|22|23|24|25|26|27|28|29|30|31|32|33|34|35|36|37|38|39|40|41|42|43|44|45|46|47|48|49|50|51|52|53|54|55|56|57|58|59|60" default="0"/>
		<setting label="30027" type="select" id="vice_manual_crop_right" values="0|1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20|21|22|23|24|25|26|27|28|29|30|31|32|33|34|35|36|37|38|39|40|41|42|43|44|45|46|47|48|49|50|51|52|53|54|55|56|57|58|59|60" default="0"/>
		<setting label="30028" type="select" id="vice_vdc_filter" values="disabled|enabled_noblur|enabled_lowblur|enabled_medblur|enabled" default="disabled"/>
		<setting label="30029" type="select" id="vice_vicii_filter" values="disabled|enabled_noblur|enabled_lowblur|enabled_medblur|enabled" default="disabled"/>
		<setting label="30030" type="select" id="vice_vicii_filter_oddline_offset" values="1000|20|40|60|80|100|120|140|160|180|200|220|240|260|280|300|320|340|360|380|400|420|440|460|480|500|520|540|560|580|600|620|640|660|680|700|720|740|760|780|800|820|840|860|880|900|920|940|960|980|1020|1040|1060|1080|1100|1120|1140|1160|1180|1200|1220|1240|1260|1280|1300|1320|1340|1360|1380|1400|1420|1440|1460|1480|1500|1520|1540|1560|1580|1600|1620|1640|1660|1680|1700|1720|1740|1760|1780|1800|1820|1840|1860|1880|1900|1920|1940|1960|1980|2000" default="1000"/>
		<setting label="30031" type="select" id="vice_vicii_filter_oddline_phase" values="1000|20|40|60|80|100|120|140|160|180|200|220|240|260|280|300|320|340|360|380|400|420|440|460|480|500|520|540|560|580|600|620|640|660|680|700|720|740|760|780|800|820|840|860|880|900|920|940|960|980|1020|1040|1060|1080|1100|1120|1140|1160|1180|1200|1220|1240|1260|1280|1300|1320|1340|1360|1380|1400|1420|1440|1460|1480|1500|1520|1540|1560|1580|1600|1620|1640|1660|1680|1700|1720|1740|1760|1780|1800|1820|1840|1860|1880|1900|1920|1940|1960|1980|2000" default="1000"/>
		<setting label="30032" type="select" id="vice_external_palette" values="default|c64hq|c64s|ccs64|cjam|colodore|community-colors|deekay|frodo|godot|lemon64|palette|palette_6569R1_v1r|palette_6569R5_v1r|palette_8565R2_v1r|palette_C64_amber|palette_C64_cyan|palette_C64_green|pc64|pepto-pal|pepto-palold|pepto-ntsc|pepto-ntsc-sony|pixcen|ptoing|rgb|the64|vice" default="default"/>
		<setting label="30033" type="select" id="vice_vicii_color_gamma" values="2800|1000|1100|1200|1300|1400|1500|1600|1700|1800|1900|2000|2100|2200|2300|2400|2500|2600|2700|2900|3000|3100|3200|3300|3400|3500|3600|3700|3800|3900|4000" default="2800"/>
		<setting label="30034" type="select" id="vice_vicii_color_brightness" values="1000|20|40|60|80|100|120|140|160|180|200|220|240|260|280|300|320|340|360|380|400|420|440|460|480|500|520|540|560|580|600|620|640|660|680|700|720|740|760|780|800|820|840|860|880|900|920|940|960|980|1020|1040|1060|1080|1100|1120|1140|1160|1180|1200|1220|1240|1260|1280|1300|1320|1340|1360|1380|1400|1420|1440|1460|1480|1500|1520|1540|1560|1580|1600|1620|1640|1660|1680|1700|1720|1740|1760|1780|1800|1820|1840|1860|1880|1900|1920|1940|1960|1980|2000" default="1000"/>
		<setting label="30035" type="select" id="vice_vicii_color_contrast" values="1000|20|40|60|80|100|120|140|160|180|200|220|240|260|280|300|320|340|360|380|400|420|440|460|480|500|520|540|560|580|600|620|640|660|680|700|720|740|760|780|800|820|840|860|880|900|920|940|960|980|1020|1040|1060|1080|1100|1120|1140|1160|1180|1200|1220|1240|1260|1280|1300|1320|1340|1360|1380|1400|1420|1440|1460|1480|1500|1520|1540|1560|1580|1600|1620|1640|1660|1680|1700|1720|1740|1760|1780|1800|1820|1840|1860|1880|1900|1920|1940|1960|1980|2000" default="1000"/>
		<setting label="30036" type="select" id="vice_vicii_color_saturation" values="1000|20|40|60|80|100|120|140|160|180|200|220|240|260|280|300|320|340|360|380|400|420|440|460|480|500|520|540|560|580|600|620|640|660|680|700|720|740|760|780|800|820|840|860|880|900|920|940|960|980|1020|1040|1060|1080|1100|1120|1140|1160|1180|1200|1220|1240|1260|1280|1300|1320|1340|1360|1380|1400|1420|1440|1460|1480|1500|1520|1540|1560|1580|1600|1620|1640|1660|1680|1700|1720|1740|1760|1780|1800|1820|1840|1860|1880|1900|1920|1940|1960|1980|2000" default="1000"/>
		<setting label="30037" type="select" id="vice_vicii_color_tint" values="1000|20|40|60|80|100|120|140|160|180|200|220|240|260|280|300|320|340|360|380|400|420|440|460|480|500|520|540|560|580|600|620|640|660|680|700|720|740|760|780|800|820|840|860|880|900|920|940|960|980|1020|1040|1060|1080|1100|1120|1140|1160|1180|1200|1220|1240|1260|1280|1300|1320|1340|1360|1380|1400|1420|1440|1460|1480|1500|1520|1540|1560|1580|1600|1620|1640|1660|1680|1700|1720|1740|1760|1780|1800|1820|1840|1860|1880|1900|1920|1940|1960|1980|2000" default="1000"/>
		<setting label="30038" type="select" id="vice_gfx_colors" values="24bit|16bit" default="24bit"/>
		<setting label="30039" type="select" id="vice_vkbd_theme" values="auto|auto_outline|brown|brown_outline|beige|beige_outline|dark|dark_outline|light|light_outline" default="auto"/>
		<setting label="30040" type="select" id="vice_vkbd_transparency" values="25%|0%|50%|75%|100%" default="25%"/>
		<setting label="30041" type="select" id="vice_vkbd_dimming" values="25%|0%|50%|75%|100%" default="25%"/>
		<setting label="30042" type="select" id="vice_statusbar" values="bottom|bottom_minimal|bottom_basic|bottom_basic_minimal|top|top_minimal|top_basic|top_basic_minimal" default="bottom"/>
		<setting label="30043" type="select" id="vice_statusbar_startup" values="disabled|enabled" default="disabled"/>
		<setting label="30044" type="select" id="vice_statusbar_messages" values="disabled|enabled" default="disabled"/>
		<setting label="30045" type="select" id="vice_joyport_pointer_color" values="blue|disabled|black|white|red|green|yellow|purple" default="blue"/>
		<setting label="30046" type="select" id="vice_audio_options_display" values="disabled|enabled" default="disabled"/>
		<setting label="30047" type="select" id="vice_drive_sound_emulation" values="20%|disabled|5%|10%|15%|25%|30%|35%|40%|45%|50%|55%|60%|65%|70%|75%|80%|85%|90%|95%|100%" default="20%"/>
		<setting label="30048" type="select" id="vice_datasette_sound" values="disabled|5%|10%|15%|20%|25%|30%|35%|40%|45%|50%|55%|60%|65%|70%|75%|80%|85%|90%|95%|100%|-1" default="disabled"/>
		<setting label="30049" type="select" id="vice_audio_leak_emulation" values="disabled|1|2|3|4|5|6|7|8|9|10" default="disabled"/>
		<setting label="30050" type="select" id="vice_sid_engine" values="ReSID|FastSID|ReSID-FP" default="ReSID"/>
		<setting label="30051" type="select" id="vice_sid_model" values="default|6581|8580|8580RD" default="default"/>
		<setting label="30052" type="select" id="vice_sid_extra" values="disabled|0xd420|0xd500|0xde00|0xdf00" default="disabled"/>
		<setting label="30053" type="select" id="vice_resid_sampling" values="resampling|fast|interpolation|fast resampling" default="resampling"/>
		<setting label="30054" type="select" id="vice_resid_passband" values="90|0|10|20|30|40|50|60|70|80" default="90"/>
		<setting label="30055" type="select" id="vice_resid_gain" values="97|90|91|92|93|94|95|96|98|99|100" default="97"/>
		<setting label="30056" type="select" id="vice_resid_filterbias" values="500|-5000|-4500|-4000|-3500|-3000|-2500|-2000|-1500|-1000|-500|0|1000|1500|2000|2500|3000|3500|4000|4500|5000" default="500"/>
		<setting label="30057" type="select" id="vice_resid_8580filterbias" values="0|-5000|-4500|-4000|-3500|-3000|-2500|-2000|-1500|-1000|-500|500|1000|1500|2000|2500|3000|3500|4000|4500|5000" default="0"/>
		<setting label="30058" type="select" id="vice_sfx_sound_expander" values="disabled|3526|3812" default="disabled"/>
		<setting label="30059" type="select" id="vice_sound_sample_rate" values="48000|22050|44100|96000" default="48000"/>
		<setting label="30060" type="select" id="vice_analogmouse" values="left|disabled|right|both" default="left"/>
		<setting label="30061" type="select" id="vice_analogmouse_deadzone" values="20|0|5|10|15|25|30|35|40|45|50" default="20"/>
		<setting label="30120" type="select" id="vice_analogmouse_speed" values="1.0|0.1|0.2|0.3|0.4|0.5|0.6|0.7|0.8|0.9|1.1|1.2|1.3|1.4|1.5|1.6|1.7|1.8|1.9|2.0|2.1|2.2|2.3|2.4|2.5|2.6|2.7|2.8|2.9|3.0" default="1.0"/>
		<setting label="30121" type="select" id="vice_analogmouse_speed_right" values="1.0|0.1|0.2|0.3|0.4|0.5|0.6|0.7|0.8|0.9|1.1|1.2|1.3|1.4|1.5|1.6|1.7|1.8|1.9|2.0|2.1|2.2|2.3|2.4|2.5|2.6|2.7|2.8|2.9|3.0" default="1.0"/>
		<setting label="30063" type="select" id="vice_dpadmouse_speed" values="6|0|1|2|3|4|5|7|8|9|10|11|12|13|14|15|16|17|18" default="6"/>
		<setting label="30064" type="select" id="vice_mouse_speed" values="100|10|20|30|40|50|60|70|80|90|110|120|130|140|150|160|170|180|190|200|210|220|230|240|250|260|270|280|290|300" default="100"/>
		<setting label="30065" type="select" id="vice_physical_keyboard_pass_through" values="disabled|enabled" default="disabled"/>
		<setting label="30066" type="select" id="vice_datasette_hotkeys" values="disabled|enabled" default="disabled"/>
		<setting label="30067" type="select" id="vice_keyrah_keypad_mappings" values="disabled|enabled" default="disabled"/>
		<setting label="30068" type="select" id="vice_keyboard_keymap" values="positional|symbolic|positional-user|symbolic-user" default="positional"/>
		<setting label="30069" type="select" id="vice_mapping_options_display" values="enabled|disabled" default="enabled"/>
		<setting label="30070" type="select" id="vice_mapper_vkbd" values="---|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER||||||||||||||||||" default="---"/>
		<setting label="30071" type="select" id="vice_mapper_statusbar" values="RETROK_F12|---|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER||||||||||||||||||" default="RETROK_F12"/>
		<setting label="30072" type="select" id="vice_mapper_joyport_switch" values="RETROK_RCTRL|---|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER||||||||||||||||||" default="RETROK_RCTRL"/>
		<setting label="30073" type="select" id="vice_mapper_turbo_fire_toggle" values="---|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER||||||||||||||||||" default="---"/>
		<setting label="30074" type="select" id="vice_mapper_save_disk_toggle" values="---|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER||||||||||||||||||" default="---"/>
		<setting label="30077" type="select" id="vice_mapper_aspect_ratio_toggle" values="---|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER||||||||||||||||||" default="---"/>
		<setting label="30078" type="select" id="vice_mapper_crop_toggle" values="---|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER||||||||||||||||||" default="---"/>
		<setting label="30080" type="select" id="vice_mapper_datasette_toggle_hotkeys" values="---|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER||||||||||||||||||" default="---"/>
		<setting label="30081" type="select" id="vice_mapper_datasette_start" values="RETROK_UP|---|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER||||||||||||||||||" default="RETROK_UP"/>
		<setting label="30082" type="select" id="vice_mapper_datasette_stop" values="RETROK_DOWN|---|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER||||||||||||||||||" default="RETROK_DOWN"/>
		<setting label="30083" type="select" id="vice_mapper_datasette_rewind" values="RETROK_LEFT|---|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER||||||||||||||||||" default="RETROK_LEFT"/>
		<setting label="30084" type="select" id="vice_mapper_datasette_forward" values="RETROK_RIGHT|---|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER||||||||||||||||||" default="RETROK_RIGHT"/>
		<setting label="30085" type="select" id="vice_mapper_datasette_reset" values="---|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER||||||||||||||||||" default="---"/>
		<setting label="30075" type="select" id="vice_mapper_reset" values="RETROK_END|---|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER||||||||||||||||||" default="RETROK_END"/>
		<setting label="30076" type="select" id="vice_mapper_warp_mode" values="---|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER||||||||||||||||||" default="---"/>
		<setting label="30086" type="select" id="vice_mapper_up" values="---|TOGGLE_VKBD|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="---"/>
		<setting label="30087" type="select" id="vice_mapper_down" values="---|TOGGLE_VKBD|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="---"/>
		<setting label="30088" type="select" id="vice_mapper_left" values="---|TOGGLE_VKBD|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="---"/>
		<setting label="30089" type="select" id="vice_mapper_right" values="---|TOGGLE_VKBD|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="---"/>
		<setting label="30091" type="select" id="vice_mapper_b" values="---|TOGGLE_VKBD|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="---"/>
		<setting label="30090" type="select" id="vice_mapper_a" values="---|TOGGLE_VKBD|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="---"/>
		<setting label="30093" type="select" id="vice_mapper_y" values="---|TOGGLE_VKBD|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="---"/>
		<setting label="30092" type="select" id="vice_mapper_x" values="RETROK_SPACE|---|TOGGLE_VKBD|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="RETROK_SPACE"/>
		<setting label="30094" type="select" id="vice_mapper_select" values="TOGGLE_VKBD|---|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="TOGGLE_VKBD"/>
		<setting label="30095" type="select" id="vice_mapper_start" values="---|TOGGLE_VKBD|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="---"/>
		<setting label="30096" type="select" id="vice_mapper_l" values="---|TOGGLE_VKBD|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="---"/>
		<setting label="30097" type="select" id="vice_mapper_r" values="---|TOGGLE_VKBD|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="---"/>
		<setting label="30098" type="select" id="vice_mapper_l2" values="RETROK_ESCAPE|---|TOGGLE_VKBD|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_RETURN|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="RETROK_ESCAPE"/>
		<setting label="30099" type="select" id="vice_mapper_r2" values="RETROK_RETURN|---|TOGGLE_VKBD|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="RETROK_RETURN"/>
		<setting label="30100" type="select" id="vice_mapper_l3" values="---|TOGGLE_VKBD|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="---"/>
		<setting label="30101" type="select" id="vice_mapper_r3" values="---|TOGGLE_VKBD|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="---"/>
		<setting label="30102" type="select" id="vice_mapper_lu" values="---|TOGGLE_VKBD|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="---"/>
		<setting label="30103" type="select" id="vice_mapper_ld" values="---|TOGGLE_VKBD|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="---"/>
		<setting label="30104" type="select" id="vice_mapper_ll" values="---|TOGGLE_VKBD|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="---"/>
		<setting label="30105" type="select" id="vice_mapper_lr" values="---|TOGGLE_VKBD|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="---"/>
		<setting label="30106" type="select" id="vice_mapper_ru" values="---|TOGGLE_VKBD|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="---"/>
		<setting label="30107" type="select" id="vice_mapper_rd" values="---|TOGGLE_VKBD|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="---"/>
		<setting label="30108" type="select" id="vice_mapper_rl" values="---|TOGGLE_VKBD|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="---"/>
		<setting label="30109" type="select" id="vice_mapper_rr" values="---|TOGGLE_VKBD|TOGGLE_STATUSBAR|SWITCH_JOYPORT|JOYSTICK_UP|JOYSTICK_DOWN|JOYSTICK_LEFT|JOYSTICK_RIGHT|JOYSTICK_FIRE|JOYSTICK_FIRE2|JOYSTICK_FIRE3|OTHERJOY_UP|OTHERJOY_DOWN|OTHERJOY_LEFT|OTHERJOY_RIGHT|OTHERJOY_FIRE|MOUSE_SLOWER|MOUSE_FASTER|RETROK_BACKSPACE|RETROK_TAB|RETROK_RETURN|RETROK_ESCAPE|RETROK_SPACE|RETROK_QUOTE|RETROK_COMMA|RETROK_MINUS|RETROK_PERIOD|RETROK_SLASH|RETROK_0|RETROK_1|RETROK_2|RETROK_3|RETROK_4|RETROK_5|RETROK_6|RETROK_7|RETROK_8|RETROK_9|RETROK_SEMICOLON|RETROK_EQUALS|RETROK_LEFTBRACKET|RETROK_BACKSLASH|RETROK_RIGHTBRACKET|RETROK_BACKQUOTE|RETROK_a|RETROK_b|RETROK_c|RETROK_d|RETROK_e|RETROK_f|RETROK_g|RETROK_h|RETROK_i|RETROK_j|RETROK_k|RETROK_l|RETROK_m|RETROK_n|RETROK_o|RETROK_p|RETROK_q|RETROK_r|RETROK_s|RETROK_t|RETROK_u|RETROK_v|RETROK_w|RETROK_x|RETROK_y|RETROK_z|RETROK_KP0|RETROK_KP1|RETROK_KP2|RETROK_KP3|RETROK_KP4|RETROK_KP5|RETROK_KP6|RETROK_KP7|RETROK_KP8|RETROK_KP9|RETROK_KP_PERIOD|RETROK_KP_DIVIDE|RETROK_KP_MULTIPLY|RETROK_KP_MINUS|RETROK_KP_PLUS|RETROK_KP_ENTER|RETROK_KP_EQUALS|RETROK_UP|RETROK_DOWN|RETROK_LEFT|RETROK_RIGHT|RETROK_INSERT|RETROK_DELETE|RETROK_HOME|RETROK_END|RETROK_PAGEUP|RETROK_PAGEDOWN|RETROK_F1|RETROK_F2|RETROK_F3|RETROK_F4|RETROK_F5|RETROK_F6|RETROK_F7|RETROK_F8|RETROK_F9|RETROK_F10|RETROK_F11|RETROK_F12|RETROK_F13|RETROK_F14|RETROK_F15|RETROK_CAPSLOCK|RETROK_LSHIFT|RETROK_RSHIFT|RETROK_LCTRL|RETROK_RCTRL|RETROK_LALT|RETROK_RALT|RETROK_LSUPER|RETROK_RSUPER" default="---"/>
		<setting label="30110" type="select" id="vice_turbo_fire" values="disabled|enabled" default="disabled"/>
		<setting label="30111" type="select" id="vice_turbo_fire_button" values="B|A|Y|X|L|R|L2|R2" default="B"/>
		<setting label="30112" type="select" id="vice_turbo_pulse" values="6|2|4|8|10|12" default="6"/>
		<setting label="30113" type="select" id="vice_userport_joytype" values="disabled|CGA|HIT|Kingsoft|Starbyte|Synergy|Hummer|OEM|PET" default="disabled"/>
		<setting label="30114" type="select" id="vice_joyport" values="2|1" default="2"/>
		<setting label="30115" type="select" id="vice_joyport_type" values="1|2|2R|3|4|5|6|7|8|9|10|11|12|13|16|14|15" default="1"/>
		<setting label="30116" type="select" id="vice_retropad_options" values="disabled|jump|rotate|rotate_jump" default="disabled"/>
	</category>
</settings>
